<template>
  <navbar/>
  <div>
    <br />
    <p
      align="Center"
      style="
        font-size: 46px;
        font-family: Josefin Sans;
        color: black;
        font-weight: 700;
      "
    >
      {{ this.tituloPagina }}
    </p>
  </div>
  <div>
    <br />
    <p align="Center">
      <select
        v-if="this.usuario.rol == 'DOCENTE'"
        class="select select-primary w-full max-w-xs"
        align="Center"
        @change="onChange($event)"
        v-model="key"
      >
        <option disabled selected>Selecciona el Tipo Horario</option>
        <option value="horarioCurso">Horario Curso</option>
        <option value="horarioDocente">Horario Docente</option>
      </select>
    </p>
  </div>

  <br />
  <div>
    <table
      align="center"
      border="1"
      style="
        align-content: center;
        border: 2px solid #000000;
        width: 800px;
        height: 700px;
        left: 164px;
        top: 253px;
        border-radius: 10px;
      "
    >
      <tbody style="align-content: center">
        <tr
          style="
            background-color: #272133;
            font-family: Josefin Sans;
            font-size: 14px;
            color: #ffffff;
          "
        >
          <th width="10%">Periodo</th>

          <th width="15%">Lunes</th>

          <th width="15%">Martes</th>

          <th width="15%">Miércoles</th>

          <th width="15%">Jueves</th>

          <th width="15%">Viernes</th>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            1º<br />08:00<br />09:30
          </td>

          <td
            id="cuadroHorario"
            label="primerPeriodo"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP1 }}</p>
            <p v-if="this.nombreAsigKeyLP1 != null">
              {{ "Sala: " + numeroSalaLP1 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP1 }}</p>
            <p v-if="this.nombreAsigKeyMP1 != null">
              {{ "Sala: " + numeroSalaMP1 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP1 }}</p>
            <p v-if="this.nombreAsigKeyMiP1 != null">
              {{ "Sala: " + numeroSalaMiP1 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP1 }}</p>
            <p v-if="this.nombreAsigKeyJP1 != null">
              {{ "Sala: " + numeroSalaJP1 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP1 }}</p>
            <p v-if="this.nombreAsigKeyVP1 != null">
              {{ "Sala: " + numeroSalaVP1 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            2º<br />09:40<br />11:00
          </td>

          <td
            id="cuadroHorario"
            style="border: 1px solid #000000; font-family: Josefin Sans"
          >
            <p>{{ nombreAsigKeyLP2 }}</p>
            <p v-if="this.nombreAsigKeyLP2 != null">
              {{ "Sala: " + numeroSalaLP2 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="border: 1px solid #000000; font-family: Josefin Sans"
          >
            <p>{{ nombreAsigKeyMP2 }}</p>
            <p v-if="this.nombreAsigKeyMP2 != null">
              {{ "Sala: " + numeroSalaMP2 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="border: 1px solid #000000; font-family: Josefin Sans"
          >
            <p>{{ nombreAsigKeyMiP2 }}</p>
            <p v-if="this.nombreAsigKeyMiP2 != null">
              {{ "Sala: " + numeroSalaMiP2 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="border: 1px solid #000000; font-family: Josefin Sans"
          >
            <p>{{ nombreAsigKeyJP2 }}</p>
            <p v-if="this.nombreAsigKeyJP2 != null">
              {{ "Sala: " + numeroSalaJP2 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="border: 1px solid #000000; font-family: Josefin Sans"
          >
            <p>{{ nombreAsigKeyVP2 }}</p>
            <p v-if="this.nombreAsigKeyVP2 != null">
              {{ "Sala: " + numeroSalaVP2 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            3º<br />11:15<br />13:00
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP3 }}</p>
            <p v-if="this.nombreAsigKeyLP3 != null">
              {{ "Sala: " + numeroSalaLP3 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP3 }}</p>
            <p v-if="this.nombreAsigKeyMP3 != null">
              {{ "Sala: " + numeroSalaMP3 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP3 }}</p>
            <p v-if="this.nombreAsigKeyMiP3 != null">
              {{ "Sala: " + numeroSalaMiP3 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP3 }}</p>
            <p v-if="this.nombreAsigKeyJP3 != null">
              {{ "Sala: " + numeroSalaJP3 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP3 }}</p>
            <p v-if="this.nombreAsigKeyVP3 != null">
              {{ "Sala: " + numeroSalaVP3 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            4º<br />13:10<br />14:20
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP4 }}</p>
            <p v-if="this.nombreAsigKeyLP4 != null">
              {{ "Sala: " + numeroSalaLP4 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP4 }}</p>
            <p v-if="this.nombreAsigKeyMP4 != null">
              {{ "Sala: " + numeroSalaMP4 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP4 }}</p>
            <p v-if="this.nombreAsigKeyMiP4 != null">
              {{ "Sala: " + numeroSalaMiP4 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP4 }}</p>
            <p v-if="this.nombreAsigKeyJP4 != null">
              {{ "Sala: " + numeroSalaJP4 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP4 }}</p>
            <p v-if="this.nombreAsigKeyVP4 != null">
              {{ "Sala: " + numeroSalaVP4 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            5º<br />14:30<br />16:00
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP5 }}</p>
            <p v-if="this.nombreAsigKeyLP5 != null">
              {{ "Sala: " + numeroSalaLP5 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP5 }}</p>
            <p v-if="this.nombreAsigKeyMP5 != null">
              {{ "Sala: " + numeroSalaMP5 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP5 }}</p>
            <p v-if="this.nombreAsigKeyMiP5 != null">
              {{ "Sala: " + numeroSalaMiP5 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP5 }}</p>
            <p v-if="this.nombreAsigKeyJP5 != null">
              {{ "Sala: " + numeroSalaJP5 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP5 }}</p>
            <p v-if="this.nombreAsigKeyVP5 != null">
              {{ "Sala: " + numeroSalaVP5 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            6º<br />16:15<br />17:30
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP6 }}</p>
            <p v-if="this.nombreAsigKeyLP6 != null">
              {{ "Sala: " + numeroSalaLP6 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP6 }}</p>
            <p v-if="this.nombreAsigKeyMP6 != null">
              {{ "Sala: " + numeroSalaMP6 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP6 }}</p>
            <p v-if="this.nombreAsigKeyMiP6 != null">
              {{ "Sala: " + numeroSalaMiP6 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP6 }}</p>
            <p v-if="this.nombreAsigKeyJP6 != null">
              {{ "Sala: " + numeroSalaJP6 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP6 }}</p>
            <p v-if="this.nombreAsigKeyVP6 != null">
              {{ "Sala: " + numeroSalaVP6 }}
            </p>
          </td>
        </tr>

        <tr
          style="text-align: center; font-family: Josefin Sans; font-size: 14px"
        >
          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-weight: 700;
              background: #272133;
              color: white;
              font-size: 14px;
            "
          >
            7º<br />17:45<br />19:00
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyLP7 }}</p>
            <p v-if="this.nombreAsigKeyLP7 != null">
              {{ "Sala: " + numeroSalaLP7 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMP7 }}</p>
            <p v-if="this.nombreAsigKeyMP7 != null">
              {{ "Sala: " + numeroSalaMP7 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyMiP7 }}</p>
            <p v-if="this.nombreAsigKeyMiP7 != null">
              {{ "Sala: " + numeroSalaMiP7 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyJP7 }}</p>
            <p v-if="this.nombreAsigKeyJP7 != null">
              {{ "Sala: " + numeroSalaJP7 }}
            </p>
          </td>

          <td
            id="cuadroHorario"
            style="
              border: 1px solid #000000;
              font-family: Josefin Sans;
              font-size: 14px;
            "
          >
            <p>{{ nombreAsigKeyVP7 }}</p>
            <p v-if="this.nombreAsigKeyVP7 != null">
              {{ "Sala: " + numeroSalaVP7 }}
            </p>
          </td>
        </tr>
      </tbody>
    </table>
    <br />
  </div>
  <!-- Boton para abrir la modal -->
  <p></p>
  <p align="center">
    <label
      class="btn"
      for="modalDescarga"
      style="background-color: #a181e2; color: white"
      >Exportar Horario</label
    >
  </p>
  <!--   Todo el contenido de la modal -->
  <input id="modalDescarga" class="modal-toggle" type="checkbox" />
  <div class="modal">
    <div class="modal-box">
      <h3 class="font-bold text-lg" style="text-align: center">
        Va a descargar su Horario
      </h3>
      <p class="py-4" style="text-align: center">
        Recuerde utilizar microsoft excel o similar para abrir correctamente el
        archivo
      </p>
      <div class="modal-action">
        <label @click="downloadFile()" class="btn" for="modalDescarga"
          >Descargar</label
        >
        <label class="btn btn-primary" for="modalDescarga">Cerrar</label>
      </div>
    </div>
  </div>
  <Footer/>
</template>

<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from '../../components/Footer.vue';
import { ref } from "vue";

export default {
  components: { Footer, navbar },

  data: () => ({
    horario: [],
    dialog: false,
    usuario: "",
    dialogdelete: false,
    lunes1SalaAsign: null,
    opcion: null,

    sala: null,
    //Periodo dia Lunes
    numeroSalaLP1: "Sin asignar",
    numeroSalaLP2: "Sin asignar",
    numeroSalaLP3: "Sin asignar",
    numeroSalaLP4: "Sin asignar",
    numeroSalaLP5: "Sin asignar",
    numeroSalaLP6: "Sin asignar",
    numeroSalaLP7: "Sin asignar",
    nombreAsigKeyLP1: null,
    nombreAsigKeyLP2: null,
    nombreAsigKeyLP3: null,
    nombreAsigKeyLP4: null,
    nombreAsigKeyLP5: null,
    nombreAsigKeyLP6: null,
    nombreAsigKeyLP7: null,

    //Periodo dia Martes
    numeroSalaMP1: "Sin asignar",
    numeroSalaMP2: "Sin asignar",
    numeroSalaMP3: "Sin asignar",
    numeroSalaMP4: "Sin asignar",
    numeroSalaMP5: "Sin asignar",
    numeroSalaMP6: "Sin asignar",
    numeroSalaMP7: "Sin asignar",
    nombreAsigKeyMP1: null,
    nombreAsigKeyMP2: null,
    nombreAsigKeyMP3: null,
    nombreAsigKeyMP4: null,
    nombreAsigKeyMP5: null,
    nombreAsigKeyMP6: null,
    nombreAsigKeyMP7: null,
    //Periodo dia miercoles
    numeroSalaMiP1: "Sin asignar",
    numeroSalaMiP2: "Sin asignar",
    numeroSalaMiP3: "Sin asignar",
    numeroSalaMiP4: "Sin asignar",
    numeroSalaMiP5: "Sin asignar",
    numeroSalaMiP6: "Sin asignar",
    numeroSalaMiP7: "Sin asignar",
    nombreAsigKeyMiP1: null,
    nombreAsigKeyMiP2: null,
    nombreAsigKeyMiP3: null,
    nombreAsigKeyMiP4: null,
    nombreAsigKeyMiP5: null,
    nombreAsigKeyMiP6: null,
    nombreAsigKeyMiP7: null,
    //Periodo dia jueves
    numeroSalaJP1: "Sin asignar",
    numeroSalaJP2: "Sin asignar",
    numeroSalaJP3: "Sin asignar",
    numeroSalaJP4: "Sin asignar",
    numeroSalaJP5: "Sin asignar",
    numeroSalaJP6: "Sin asignar",
    numeroSalaJP7: "Sin asignar",
    nombreAsigKeyJP1: null,
    nombreAsigKeyJP2: null,
    nombreAsigKeyJP3: null,
    nombreAsigKeyJP4: null,
    nombreAsigKeyJP5: null,
    nombreAsigKeyJP6: null,
    nombreAsigKeyJP7: null,
    //Periodo dia Viernes
    numeroSalaVP1: "Sin asignar",
    numeroSalaVP2: "Sin asignar",
    numeroSalaVP3: "Sin asignar",
    numeroSalaVP4: "Sin asignar",
    numeroSalaVP5: "Sin asignar",
    numeroSalaVP6: "Sin asignar",
    numeroSalaVP7: "Sin asignar",
    nombreAsigKeyVP1: null,
    nombreAsigKeyVP2: null,
    nombreAsigKeyVP3: null,
    nombreAsigKeyVP4: null,
    nombreAsigKeyVP5: null,
    nombreAsigKeyVP6: null,
    nombreAsigKeyVP7: null,
    //Fin periodos de clase

    gridApi: null,
    key: "",
    tipoUsuario: "",
    tituloPagina: "Horario",
  }),
  mounted() {
    const urlHorario = "horarios/buscarHorario";
    const obtenerDatosUsuario = "cuentas/usuario";

    axios
      .get(obtenerDatosUsuario, {
        headers: { Authorization: localStorage.getItem('auth') },
      })
      .then((resp) => {
        this.usuario = resp.data;
        console.log(this.usuario);

        this.tipoUsuario = sessionStorage.getItem("tipoHorarioDocente");
        this.mostrarTipoHorario();
      });
  },
  methods: {
    //Muestra el horario segun el rol del usuario, el rol docente es necesario que utilice el select para mostrar el horario que desea
    mostrarTipoHorario() {
      if (this.usuario.rol == "ALUMNO" || this.usuario.rol == "APODERADO") {
        this.tituloPagina = "Horario Alumno";
        this.mostrarHorario();
      } else if (this.tipoUsuario == "horarioDocente") {
        this.tituloPagina = "Horario Docente";
        this.mostrarHorarioDocente();
        sessionStorage.clear();
      } else if (this.tipoUsuario == "horarioCurso") {
        this.tituloPagina = "Horario Curso";
        this.mostrarHorario();
        sessionStorage.clear();
      }
    },

    //Funcion que es ejecutada por el select del usuario de rol docente para poder ver su horario o del curso asignado como profesor jefe
    onChange(event) {
      if (event.target.value == "horarioDocente") {
        sessionStorage.setItem("tipoHorarioDocente", "horarioDocente");
        location.reload();
      } else {
        sessionStorage.setItem("tipoHorarioDocente", "horarioCurso");
        location.reload();
      }
    },

    mostrarHorario() {
      axios({
        url: "horarios/buscarHorario",
        method: "GET",
        headers: { Authorization: localStorage.getItem('auth') },
      }).then((res) => {
        this.horario = res.data;

        this.obtenerNombreAsignatura();
      });
    },

    mostrarHorarioDocente() {
      axios({
        url: "horarios/buscarHorarioDocente",
        method: "GET",
        headers: { Authorization: localStorage.getItem('auth') },
      }).then((response) => {
        this.horario = response.data;

        this.obtenerNombreAsignatura();
      });
    },

    //Descarga el horario del usuario en un archivo .csv
    downloadFile() {
      axios({
        url: "horarios/exportarHorario",
        method: "GET",
        headers: { Authorization: localStorage.getItem('auth') },
        responseType: "blob",
      }).then((res) => {
        var fileURL = window.URL.createObjectURL(new Blob([res.data]));

        var fileLink = document.createElement("a");
        fileLink.href = fileURL;
        fileLink.setAttribute("download", "Horario.csv");
        document.body.appendChild(fileLink);
        fileLink.click();
      });
    },

    obtenerNombreAsignatura: function () {
      let horarioAsignatura = [];

      for (var key in this.horario) {
        for (let e = 0; e < this.horario[key].length; e++) {
          const element = this.horario[key][e];
          if (element.periodo.horaInicio == "8:30:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP1 = key;
              this.nombreAsigKeyLP1 = this.nombreAsigKeyLP1.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP1 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP1 = key;
              this.nombreAsigKeyMP1 = this.nombreAsigKeyMP1.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP1 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP1 = key;
              this.nombreAsigKeyMiP1 = this.nombreAsigKeyMiP1.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP1 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP1 = key;
              this.nombreAsigKeyJP1 = this.nombreAsigKeyJP1.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP1 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP1 = key;
              this.nombreAsigKeyVP1 = this.nombreAsigKeyVP1.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP1 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "10:00:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP2 = key;
              this.nombreAsigKeyLP2 = this.nombreAsigKeyLP2.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP2 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP2 = key;
              this.nombreAsigKeyMP2 = this.nombreAsigKeyMP2.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP2 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP2 = key;
              this.nombreAsigKeyMiP2 = this.nombreAsigKeyMiP2.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP2 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP2 = key;
              this.nombreAsigKeyJP2 = this.nombreAsigKeyJP2.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP2 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP2 = key;
              this.nombreAsigKeyVP2 = this.nombreAsigKeyVP2.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP2 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "11:15:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP3 = key;
              this.nombreAsigKeyLP3 = this.nombreAsigKeyLP3.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP3 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP3 = key;
              this.nombreAsigKeyMP3 = this.nombreAsigKeyMP3.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP3 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP3 = key;
              this.nombreAsigKeyMiP3 = this.nombreAsigKeyMiP3.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP3 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP3 = key;
              this.nombreAsigKeyJP3 = this.nombreAsigKeyJP3.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP3 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP3 = key;
              this.nombreAsigKeyVP3 = this.nombreAsigKeyVP3.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP3 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "13:10:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP4 = key;
              this.nombreAsigKeyLP4 = this.nombreAsigKeyLP4.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP4 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP4 = key;
              this.nombreAsigKeyMP4 = this.nombreAsigKeyMP4.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP4 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP4 = key;
              this.nombreAsigKeyMiP4 = this.nombreAsigKeyMiP4.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP4 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP4 = key;
              this.nombreAsigKeyJP4 = this.nombreAsigKeyJP4.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP4 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP4 = key;
              this.nombreAsigKeyVP4 = this.nombreAsigKeyVP4.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP4 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "14:30:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP5 = key;
              this.nombreAsigKeyLP5 = this.nombreAsigKeyLP5.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP5 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP5 = key;
              this.nombreAsigKeyMP5 = this.nombreAsigKeyMP5.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP5 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP5 = key;
              this.nombreAsigKeyMiP5 = this.nombreAsigKeyMiP5.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP5 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP5 = key;
              this.nombreAsigKeyJP5 = this.nombreAsigKeyJP5.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP5 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP5 = key;
              this.nombreAsigKeyVP5 = this.nombreAsigKeyVP5.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP5 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "16:15:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP6 = key;
              this.nombreAsigKeyLP6 = this.nombreAsigKeyLP6.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP6 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP6 = key;
              this.nombreAsigKeyMP6 = this.nombreAsigKeyMP6.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP6 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP6 = key;
              this.nombreAsigKeyMiP6 = this.nombreAsigKeyMiP6.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP6 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP6 = key;
              this.nombreAsigKeyJP6 = this.nombreAsigKeyJP6.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP6 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP6 = key;
              this.nombreAsigKeyVP6 = this.nombreAsigKeyVP6.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP6 = this.horario[key][e].sala;
            }
          } else if (element.periodo.horaInicio == "17:45:00") {
            if (element.periodo.dia == "Lunes") {
              this.nombreAsigKeyLP7 = key;
              this.nombreAsigKeyLP7 = this.nombreAsigKeyLP7.replaceAll(
                "_",
                " "
              );
              this.numeroSalaLP7 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Martes") {
              this.nombreAsigKeyMP7 = key;
              this.nombreAsigKeyMP7 = this.nombreAsigKeyMP7.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMP7 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Miercoles") {
              this.nombreAsigKeyMiP7 = key;
              this.nombreAsigKeyMiP7 = this.nombreAsigKeyMiP7.replaceAll(
                "_",
                " "
              );
              this.numeroSalaMiP7 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Jueves") {
              this.nombreAsigKeyJP7 = key;
              this.nombreAsigKeyJP7 = this.nombreAsigKeyJP7.replaceAll(
                "_",
                " "
              );
              this.numeroSalaJP7 = this.horario[key][e].sala;
            } else if (element.periodo.dia == "Viernes") {
              this.nombreAsigKeyVP7 = key;
              this.nombreAsigKeyVP7 = this.nombreAsigKeyVP7.replaceAll(
                "_",
                " "
              );
              this.numeroSalaVP7 = this.horario[key][e].sala;
            }
          }
        }
      }
    },
  },
};
</script>

<style scoped>
#cuadroHorario {
  background-color: white;
}
</style>
